Loading...
Searching...
No Matches
unity::shell::scopes::ExpandableFilterWidgetInterface Class Referenceabstract
Inheritance diagram for unity::shell::scopes::ExpandableFilterWidgetInterface:
[legend]
Collaboration diagram for unity::shell::scopes::ExpandableFilterWidgetInterface:
[legend]

## Public Member Functions

FiltersInterface::FilterType | filterType () const override
virtual FiltersInterface * | filters () const =0
Public Member Functions inherited from unity::shell::scopes::FilterBaseInterface
virtual QString | filterId () const =0
virtual QString | title () const =0
virtual QString | filterTag () const =0

## Properties

unity::shell::scopes::FiltersInterface * | filters
Properties inherited from unity::shell::scopes::FilterBaseInterface
QString | filterId
QString | title
unity::shell::scopes::FiltersInterface::FilterType | filterType

## Additional Inherited Members

Signals inherited from unity::shell::scopes::FilterBaseInterface
void | titleChanged ()

## Member Function Documentation

## filterType()

FiltersInterface::FilterType unity::shell::scopes::ExpandableFilterWidgetInterface::filterType | ( |  | ) | const

inline override virtual

Implements unity::shell::scopes::FilterBaseInterface.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/ExpandableFilterWidgetInterface.h